Bug 840425 - Review Request: sugar-colordeducto - learning activity to improve students skills to deducing logic and learning colors
Review Request: sugar-colordeducto - learning activity to improve students sk...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-16 07:06 EDT by Danishka Navin
Modified: 2013-06-17 21:38 EDT (History)
5 users (show)

See Also:
Fixed In Version: sugar-colordeducto-7-3.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-17 00:33:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
panemade: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Danishka Navin 2012-07-16 07:06:25 EDT
Spec URL: http://snavin.fedorapeople.org/packages/sugar-colordeducto/sugar-colordeducto.spec

SRPM URL: http://snavin.fedorapeople.org/packages/sugar-colordeducto/sugar-colordeducto-5-1.fc17.src.rpm

Description: 
Color Deducto is a learning activity aimed towards improving childrens’ skills to deducing logic and learning colors and color schemes through pattern recognition. 

Color Deducto consists of 10 levels each based on a unique permutation of colors. The user is presented with a 5*5 square board of colored boxes placed in a unique arrangement symbolizing a unique logic engineered for that particular level. The user is asked to identify the logic behind that arrangement of colored boxes. Arrangement of boxes in the board according to the logic refers to “True Board”, while every other arrangement not following the pre-defined logic refers to “False Board”. “SAMPLE” tab helps the user identify the arrangement and deduce logic about “True Board” and “False Board” for the corresponding level in the game. Clicking on the “Resume” tab helps the user switch to and fro between the activity and the samples corresponding to that level.

Submission of an answer as a “Yes” after identifying whether the board is a “True Board” or a “No” in case of a “False Board” changes users’ efficiency to identify permutations correctly. If the user is able to submit five consecutive correct answers, he/she is promoted to the next level.

The user can also design a new Color Deducto game, and ask his/her friends, or students to play the activity created by him/her using “Create your game” feature. 

http://activities.sugarlabs.org/en-US/sugar/addon/4221

Fedora Account System Username: snavin
Comment 1 Vasiliy Glazov 2012-07-17 03:14:42 EDT
1. Remove %defattr
[!]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: defattr(....) present in %files section. This is OK if packaging
     for EPEL5. Otherwise not needed

2. Correct or remove Group
sugar-colordeducto.noarch: W: non-standard-group Sugar/Activities

3. Correct changelog
sugar-colordeducto.noarch: W: incoherent-version-in-changelog 30-5-1 ['5-1.fc17', '5-1']

4. Correct executable bit
sugar-colordeducto.noarch: E: non-executable-script /usr/share/sugar/activities/ColorDeducto.activity/mun.py 0644L /usr/bin/env

5. Correct end of line encoding
sugar-colordeducto.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/sugar-colordeducto-5/README.txt


And run rpmlint check for spec, srpm and all rpm files.
Comment 2 Danishka Navin 2012-07-17 05:02:36 EDT
Vasiliy,

attached new build fixed #1, #2 and #3

for #4 and #5 since i am not the upstream maintainer what should i do other than contacting him?

http://snavin.fedorapeople.org/packages/sugar-colordeducto/sugar-colordeducto-5-2.fc17.src.rpm
http://snavin.fedorapeople.org/packages/sugar-colordeducto/sugar-colordeducto.spec
Comment 3 Vasiliy Glazov 2012-07-17 05:57:37 EDT
4. If this does not affect functionality you should make chmod +x for mun.py in %prep section.

5. See here http://fedoraproject.org/wiki/Common_Rpmlint_issues#wrong-file-end-of-line-encoding

And of course report it to developer.
Comment 4 Vasiliy Glazov 2012-07-17 06:23:53 EDT
You forget correct #1.
Comment 5 Danishka Navin 2012-07-17 06:26:05 EDT
Thanks Vasiliy!

fixed both issues :)

attached spec and srpm, that fixed #4 and #5

http://snavin.fedorapeople.org/packages/sugar-colordeducto/sugar-colordeducto.spec

http://snavin.fedorapeople.org/packages/sugar-colordeducto/sugar-colordeducto-5-3.fc17.src.rpm
Comment 6 Danishka Navin 2012-07-17 06:28:06 EDT
i do not see any error or warning at all
Comment 7 Danishka Navin 2012-07-17 06:29:17 EDT
[danishka@localhost rpmbuild]$ rpmlint -vi SPECS/sugar-colordeducto.spec SPECS/sugar-colordeducto.spec: I: checking-url http://download.sugarlabs.org/sources/honey/ColorDeducto/ColorDeducto-5.tar.bz2 (timeout 10 seconds)
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

[danishka@localhost rpmbuild]$ rpmlint -vi SRPMS/sugar-colordeducto-5-3.fc17.src.rpm sugar-colordeducto.src: I: checking
sugar-colordeducto.src: I: checking-url http://activities.sugarlabs.org/en-US/sugar/addon/4221 (timeout 10 seconds)
sugar-colordeducto.src: I: checking-url http://download.sugarlabs.org/sources/honey/ColorDeducto/ColorDeducto-5.tar.bz2 (timeout 10 seconds)
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

[danishka@localhost rpmbuild]$ rpmlint -vi RPMS/noarch/sugar-colordeducto-5-3.fc17.noarch.rpm 
sugar-colordeducto.noarch: I: checking
sugar-colordeducto.noarch: I: checking-url http://activities.sugarlabs.org/en-US/sugar/addon/4221 (timeout 10 seconds)
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
[danishka@localhost rpmbuild]$
Comment 8 Vasiliy Glazov 2012-07-17 06:30:59 EDT
Run fedora-review and you see tha you forget remove %defattr(-,root,root,-)
Comment 10 Vasiliy Glazov 2012-07-17 09:19:45 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: EXTRA Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: EXTRA Spec file according to URL is the same as in SRPM.
[ ]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[ ]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[ ]: MUST Package contains no bundled libraries.
[ ]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[ ]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[ ]: MUST Macros in Summary, %description expandable at SRPM build time.
[ ]: MUST Package contains desktop file if it is a GUI application.
[ ]: MUST Development files must be in a -devel package
[ ]: MUST Package requires other packages for directories it uses.
[ ]: MUST Package uses nothing in %doc for runtime.
[ ]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[ ]: MUST Package complies to the Packaging Guidelines
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[ ]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[ ]: MUST License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "*No copyright* UNKNOWN", "MIT/X11 (BSD like)", "GPL (v3 or later)" For
     detailed output of licensecheck see file: /home/vascom/840425-sugar-
     colordeducto/licensecheck.txt
[ ]: MUST Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: MUST Package is named using only allowed ascii characters.
[ ]: MUST Package is named according to the Package Naming Guidelines.
[ ]: MUST Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[ ]: MUST Package obeys FHS, except libexecdir and /usr/target.
[ ]: MUST Package must own all directories that it creates.
[ ]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[ ]: MUST Package is not relocatable.
[ ]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[ ]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[ ]: MUST Package contains systemd file(s) if in need.
[x]: MUST File names are valid UTF-8.
[x]: SHOULD Reviewer should test that the package builds in mock.
[ ]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[ ]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[ ]: SHOULD Package functions as described.
[ ]: SHOULD Latest version is packaged.
[ ]: SHOULD Package does not include license text files separate from
     upstream.
[!]: SHOULD SourceX / PatchY prefixed with %{name}.
     Note: Source0 (ColorDeducto-5.tar.bz2)
[x]: SHOULD SourceX is a working URL.
[ ]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[ ]: SHOULD %check is present and all tests pass.
[ ]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Rpmlint
-------
Checking: sugar-colordeducto-5-4.fc17.noarch.rpm
          sugar-colordeducto-5-4.fc17.src.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.


Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:
Requires
--------
sugar-colordeducto-5-4.fc17.noarch.rpm (rpmlib, GLIBC filtered):
    
    /usr/bin/env  
    sugar  

Provides
--------
sugar-colordeducto-5-4.fc17.noarch.rpm:
    
    sugar-colordeducto = 5-4.fc17

MD5-sum check
-------------
http://download.sugarlabs.org/sources/honey/ColorDeducto/ColorDeducto-5.tar.bz2 :
  MD5SUM this package     : 96059d808592a858d31fbba17cd5db58
  MD5SUM upstream package : 96059d808592a858d31fbba17cd5db58


Generated by fedora-review 0.2.0 (53cc903) last change: 2012-07-09
Command line :/usr/bin/fedora-review -b 840425
Comment 11 Parag AN(पराग) 2012-07-17 11:54:56 EDT
Thanks Vasiliy for your review. 

Koji scratch build -> http://koji.fedoraproject.org/koji/taskinfo?taskID=4246498

Suggestions:
1) As per https://fedoraproject.org/wiki/Packaging:LicensingGuidelines#.22or_later_version.22_licenses

License should be GPLv3+

APPROVED.


Sponsoring someone needs that person to do some unofficial reviews like Vasiliy done above. Have you done any package reviews? If yes then comment here that bug so that I can have a look at it and then sponsor you.
Comment 12 Danishka Navin 2012-07-18 03:20:54 EDT
Yes, Bug 839730
Comment 13 Parag AN(पराग) 2012-12-10 22:28:09 EST
As I have already decided not to sponsor the reporter and its already been 4 months reporter has not sought any sponsorship from any other sponsor nor done any single package review, pushing back this to new queue as I don't know what to do with this reviewed package ticket.
Comment 14 Parag AN(पराग) 2013-06-03 08:20:16 EDT
Re-approving this as reporter has been sponsored in package group by Peter Robinson.
Comment 15 Kalpa Welivitigoda 2013-06-03 08:51:52 EDT
Version 7 is upstream. Shall we have the spec and srpm for the latest version?
Comment 16 Parag AN(पराग) 2013-06-03 09:11:42 EDT
Kalpa,
  good catch. I just checked Upstream URL and it showed me version 5 still whereas you are right Download Source URL shows one more tarball versioned 7 so it should get packaged.
Comment 18 Parag AN(पराग) 2013-06-04 01:41:24 EDT
1) mock build failed as this new tarball packaged now needs sugar-toolkit-gtk3 and not sugar-toolkit. Change the 
BuildRequires: sugar-toolkit 
to
BuildRequires: sugar-toolkit-gtk3

2) You need to explicitly write python2-devel as BuildRequires. Change python-devel to python2-devel in spec.

3) License is "GPLv3 and MIT"

Add the changelog that new BuildRequires for python2-devel and sugar-toolkit-gtk3 added. 

Bump the release number to -2 and submit again SPEC and SRPM.
Comment 20 Parag AN(पराग) 2013-06-04 02:17:34 EDT
Few last thing remained 
1) BuildRequires: python is not needed as we already added BuildRequires: python2-devel which will pull it so remove it.

2) there should not be any blank line between %changelog and first log line

You can change this after or before your initial import of this srpm into dist-git

APPROVED this new version.
Comment 22 Parag AN(पराग) 2013-06-04 02:40:01 EDT
Looks good.
Comment 23 Danishka Navin 2013-06-04 04:12:06 EDT
New Package SCM Request
=======================
Package Name: sugar-colordeducto
Short Description: learning activity to improve students skills to deducing logic and learning colors
Owners: snavin
Branches: f17 f18 f19
InitialCC:
Comment 24 Jon Ciesla 2013-06-04 08:21:24 EDT
Git done (by process-git-requests).
Comment 25 Fedora Update System 2013-06-08 12:35:52 EDT
sugar-colordeducto-7-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/sugar-colordeducto-7-3.fc18
Comment 26 Fedora Update System 2013-06-08 12:36:03 EDT
sugar-colordeducto-7-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/sugar-colordeducto-7-3.fc19
Comment 27 Fedora Update System 2013-06-08 12:36:11 EDT
sugar-colordeducto-7-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/sugar-colordeducto-7-3.fc17
Comment 28 Fedora Update System 2013-06-08 22:23:51 EDT
sugar-colordeducto-7-3.fc18 has been pushed to the Fedora 18 testing repository.
Comment 29 Fedora Update System 2013-06-17 00:33:25 EDT
sugar-colordeducto-7-3.fc19 has been pushed to the Fedora 19 stable repository.
Comment 30 Fedora Update System 2013-06-17 21:30:46 EDT
sugar-colordeducto-7-3.fc18 has been pushed to the Fedora 18 stable repository.
Comment 31 Fedora Update System 2013-06-17 21:38:15 EDT
sugar-colordeducto-7-3.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.